
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>sql 优化 嵌套-SQL 查询优化 嵌套查询 / iVAN</title>

    <meta name="description" content="sql 优化 嵌套-SQL 查询优化 嵌套查询 问题描述 SQL 查询优化 嵌套查询 sql server sql如下:select *from ( select subjectCOUNT(Subject) as cout from Questions where UserID ='banianji' and AskDate&gt;'2011-01-01' and AskDate&lt;'2014-01-01' group by Subject ) as a where a.cout= ( select MAX(cout)from ( sel ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">sql 优化 嵌套-SQL 查询优化 嵌套查询</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>SQL 查询优化 嵌套查询        </dt>
<dd>sql server sql如下：<br />select *from<br />  ( <br />   select subjectCOUNT(Subject) as cout  from Questions where UserID =&#039;banianji&#039; and AskDate&gt;&#039;2011-01-01&#039; and AskDate&lt;&#039;2014-01-01&#039; <br />    group by Subject<br />   ) as a <br />   where a.cout=<br />   (<br />     select MAX(cout)from</p>
<p>(<br />        select subjectCOUNT(Subject) as cout  from Questions where UserID =&#039;banianji&#039; and AskDate&gt;&#039;2011-01-01&#039; and AskDate&lt;&#039;2014-01-01&#039; <br />        group by Subject<br />      ) as b<br />    )<br />--------------读了上面的SQL，大家应该能明白我想得到什么数据：我要获取值最大的所有的记录（最大值相同的记录可能不止一条，我要把所有的最大值的记录都获取到）。上面的SQL的确能得到我想要的结果，但是，总感觉不好啊，本人sql小白，求大家给优化下，谢谢...</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>;<br />WITH    cte<br />          AS ( SELECT   subject <br />                        COUNT(Subject) AS cout<br />               FROM     Questions<br />               WHERE    UserID = &#039;banianji&#039;<br />                        AND AskDate &gt; &#039;2011-01-01&#039;<br />                        AND AskDate &lt; &#039;2014-01-01&#039;<br />               GROUP BY Subject<br />             )<br />    SELECT  *<br />    FROM    cte AS a<br />    WHERE   a.cout = ( SELECT   MAX(cout)<br />                       FROM     cte AS b<br />                     )</p>
<p>解决方案二：    <br />SELECT  SUBJECTMAX(cout)cout<br />FROM    ( SELECT    subject <br />                    COUNT(Subject) AS cout<br />          FROM      Questions<br />          WHERE     UserID = &#039;banianji&#039;<br />                    AND AskDate &gt; &#039;2011-01-01&#039;<br />                    AND AskDate &lt; &#039;2014-01-01&#039;<br />          GROUP BY  Subject<br />        ) AS a<br />GROUP BY subject</p>
<p>解决方案三：
<pre><code>SELECT subject MAX(Subject) AS coutFROM QuestionsWHERE UserID = &#039;banianji&#039;AND AskDate &gt; &#039;2011-01-01&#039;AND AskDate &lt; &#039;2014-01-01&#039;GROUP BY Subject</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 21:13:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql-%e4%bc%98%e5%8c%96-%e5%b5%8c%e5%a5%97/" title="sql 优化 嵌套">sql 优化 嵌套</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>sql 优化 嵌套-SQL 查询优化 嵌套查询的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRr6Nb.html" rel="bookmark">oracle SQL优化到10人同时查询返回1s</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle SQL优化到10人同时查询返回1s 20C SELECT l.id l.pro_name l.pro_number s.qutt_financing_value s.qutt_project_deadline s.qutt_ready_rate s.qutt_cal_way NVL( (SELECT c.CUST_SIMPLENAME FROM T_CUST_COMPANY c WHERE c.id=l.assure_cust_id )'-') AS assure_nam			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx5nG0p.html" rel="bookmark">SQL优化-同SQL不同执行计划&lpar;一&rpar;&lowbar;Mssql系列教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 问题来源:CSDN Oracle技术论坛 问题        :myepoch提出相同SQL因为检索的值,不同执行效率差别巨大. 问题环境:Oracle 10g,tbnc_adminpowerscope表在adminaccount有B树索引, TBNC_ADMINPOWERSCOPE总记录数:33422行 TBNC_CMSARTICLE总记录数:40782行 结果      :已经解决,优化后的SQL执行时间,均小于0.032秒 [SQL 1]: select art.article_id,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrGnOp.html" rel="bookmark">SQL优化经验总结&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 优化SQL步骤1. 通过 show status和应用特点了解各种 SQL的执行频率     通过 SHOW STATUS 可以提供服务器状态信息,也可以使用 mysqladmin extende d-status 命令获得. SHOW STATUS 可以根据需要显示 session 级别的统计结果和 global级别的统计结果.    如显示当前session: SHOW STATUS like &quot;Com_%&quot;; 全局级别:show global status;    以下几个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwE2jM.html" rel="bookmark">ORACLE性能优化之SQL语句优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章来源:http://blog.csdn.net/jdzms23/article/details/23850783 版权声明:本文为博主原创文章,未经博主允许不得转载. 目录(?)[-] SQL语句执行过程 1 SQL语句的执行步骤 2 典型SELECT语句完整的执行顺序 3 SQL语句执行过程 优化器及执行计划 1 SQL优化方法论 合理应用Hints 1Hints 索引及应用实例 1什么是索引 2索引分类 3什么时候使用索引 4改写SQL使用索引 5索引应用 其他优化技术及应用 1其他优化			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZYjap.html" rel="bookmark">【重磅干货】看了此文，Oracle SQL优化文章不必再看！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				听&quot;俊&quot;一席话,胜读十年书.看了这篇由DBA+社群联合发起人丁俊大师(网名:dingjun123)分享的SQL优化大作,其他Oracle SQL优化文章都不必再看了!   专家简介    丁俊 网名:dingjun123 DBA+社群联合发起人   性能优化专家,Oracle ACEA,ITPUB开发版资深版主.8年电信行业从业经验,在某大型电信系统提供商工作7年,任资深工程师,从事过系统开发与维护.业务架构和数据分析.系统优化等工作.擅长基于ORACLE的系统优化,精通SQL.PL/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKd5Eb.html" rel="bookmark">oracle sql 优化 ，请各位看看哈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle sql 优化 ,请各位看看哈 select e.id, e.content, e.write_time, e.orig_id, e.from_client, e.images, u.nickname || '(' || u.realname || ')' as writer, a.orig_content, b.praise_times, c.comment_times, d.transfer_times from wx_essay e left join wx_user			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4mR6z.html" rel="bookmark">CloudDBA初体验：SQL优化建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库诊断和优化过程具有相当的复杂性,通常需要专业的DBA来解决.但在云计算的今天,人力运维和支撑已经变得不可能,自动化,智能化运维和服务支持日益迫切. 阿里云数据库团队在这方面不断的探索和积累,产出了CloudDBA.其目的就是要把我们已知问题和最佳实践能够以最简单的方式告诉用户,把我们多年使用数据库的经验传承给用户,方便客户使用云上数据库,给客户带来直接的价值.CloudDBA同时也在服务着内部业务,4000+的数据库实例之前需要一个team的运维人员,到现在我们只有一个同学,运维效率大幅提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgEqaM.html" rel="bookmark">智能SQL优化工具－－SQL Optimizer for SQL Server（帮助提升数据库应用程序性能，最大程度地自动优化你的SQL语句 ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:智能SQL优化工具--SQL Optimizer for SQL Server(帮助提升数据库应用程序性能,最大程度地自动优化你的SQL语句 ) SQL Optimizer for SQL Server 帮助提升数据库应用程序性能,最大程度地自动优化你的SQL语句   SQL Optimizer for SQL Server 让 SQL Server DBA或者T-SQL开发人员能够主动地识别潜在的SQL性能问题,通过扫描和分析SQL语句进行人工智能自动SQL优化.Dell SQL Opt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwnk6dp.html" rel="bookmark">看了此文，Oracle SQL优化文章不必再看！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  第一章 看了此文,Oracle SQL优化文章不必再看! DBAplus社群 | 2015-11-17 23:44 目录SQL优化的本质 SQL优化Road Map 2.1 制定SQL优化目标 2.2 检查执行计划 2.3 检查统计信息 2.4 检查高效访问结构 2.5 检查影响优化器的参数 2.6 SQL语句编写问题 2.7 SQL优??\x2F限制导致的执行计划差 SQL优化案例 SQL执行计划获取 4.1 如何获取准确的执行计划 4.2 看懂执行计划执行顺序 一SQL优化的本质 一般来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQYXYp.html" rel="bookmark">被埋没的SQL优化利器&mdash;&mdash;Oracle SQL monitor</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载声明:本文为DBA+社群原创文章,转载必须连同本订阅号二维码全文转载,并注明作者名字及来源:DBA+社群(dbaplus).    据说,在Oracle企业版数据库中有一个免费的工具,乃SQL优化之利器,那就是Oracle SQL monitor.下面,由DBA+社群原创专家周俊,给大家科普一下这一被埋没的神器.   专家简介    周俊 DBA+社群原创专家   具有14年以上Oracle数据库技术支持经验,在IBM的7年间担任华东区非IBM logo产品技术支持团队team leader			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9v53p.html" rel="bookmark" class="title">Ajax按需读取数据生成下级菜单</a>
					<div>
						ajax|菜单|数据 jilian.htm[复制此代码]CODE:&lt;script language=&quot;javascript&quot;&gt; var http_request=fal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNLvdz.html" rel="bookmark" class="title">ASP中取得图片宽度和高度的类（无组件）</a>
					<div>
						无组件|无组件 &lt;%Class ImgWHInfo '获取图片宽度和高度的类,支持JPG,GIF,PNG,BMP Dim ASO Private Sub Class_Initialize Set ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlrDLz.html" rel="bookmark" class="title">Photoshop自然风景合成&colon;唯美的天空合成术</a>
					<div>
						壮观的自然风景总是让人震撼不已,忍不住想要用相机一一捕捉.但是有时候,天气环境无法听人摆布,地面环境很漂亮,可天空却没有太过层次,使画面看起来单薄无力. 本期小编带来超简单PS后期天空合成术,让你不再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPan1z.html" rel="bookmark" class="title">程序员必看：关于SQL Server的若干注意事项</a>
					<div>
						server|程序|程序员 如果你正在负责一个基于SQL Server的项目,或者你刚刚接触SQL Server,你都有可能要面临一些数据库性能的问题,这篇文章会为你提供一些有用的指导(其中大多数也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOQVmM.html" rel="bookmark" class="title">非递归法实现论坛树型结构及分页</a>
					<div>
						递归|分页|树型结构 现将本人的实践结果show给大家,不足之处就是分页的方法不太好,不能显示具体的页数,可实在又没有其它更好的解决办法,只好先如此了,如果哪位有类似本论坛的分页方法,表赐教一二,二泉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM15vKM.html" rel="bookmark" class="title">淡定对待降权 积极修正恢复</a>
					<div>
						相信很多seoer醒来第一件事会观察自己优化的站点排名.收录.外链等情况,如果发现收录.排名.外链都有提升当然会很欣慰,苦命的工作没有白做,如果一旦发现网站被k了,我想大家都会如晴天了霹雳般郁闷一下. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yxo4z.html" rel="bookmark" class="title">asp利用xmlhttp下载远程图片</a>
					<div>
						&lt;% function getHTTPimg(url) on error resume next dim http set http=server.createobject(&quot;MSXM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN2Qrb.html" rel="bookmark" class="title">Word中如何从第三页开始插入页码</a>
					<div>
						以前对如何在Word里从第三页开始插入页码,一直没有弄清楚今天终于明白了,现将其与大家分享: 1.光标移到第二页开头,点击&quot;插入-分隔符-分节符类型-下一页-确定&quot;. 2.光标移到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62a6YM.html" rel="bookmark" class="title">算法系列（八） RLE行程长度压缩算法</a>
					<div>
						RLE(Run Length Encoding)行程长度压缩算法(也称游程长度压缩算法),是最早出现.也是 最简单的无损数据压缩算法.RLE算法的基本思路是把数据按照线性序列分成两种情况:一种是连续的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOVKWM.html" rel="bookmark" class="title">如何解决SQL Server2008不允许保存修改的问题</a>
					<div>
						  SQL Server 2008 ManagementStudio,在设计表时如果改了某些字段点击保存按钮时,会报告:不允许保存更改. 您所做的更改要求删除并重新创建以下表.您对无法重新创建的表进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AxyWp.html" rel="bookmark" class="title">ZBrush纹理绘制之如何渲染逼真的皮肤纹理</a>
					<div>
						  创建水手纹理的过程非常简单,这也是一门技术,可应用于大多数皮肤类型,甚至是拥有不同肤色的生物. 以下是没有多边形着色的模型,左上角是刚开始绘制的版本,在后面的步骤中会用到笔刷.笔触和通道(alph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOjXkb.html" rel="bookmark" class="title">win7无法停止通用卷的解决方法</a>
					<div>
						在您使用U盘进行拷贝完成后要退出U盘的时候是不是会提示&quot;无法停止通用卷&quot;的提示呢?造成这样的原因是:我们在把U盘的文件或者数据取出来的时候,都是用的&quot;复制&quot;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A1enp.html" rel="bookmark" class="title">wps字数统计在哪里</a>
					<div>
						  一.WPS软件(2012 个人版2012 SP2以上版本)字数统计 1.鼠标打卡应用程序,点击wps菜单栏上面的&quot;审阅---字数统计&quot;,下方左边第二个标签.如图所示: wps字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw9y5M.html" rel="bookmark" class="title">UWP入门（四）--设置控件样式</a>
					<div>
						原文:UWP入门(四)--设置控件样式 官方定义:可以使用 XAML 框架通过多种方式自定义应用的外观. 通过样式可以设置控件属性,并重复使用这些设置,以便保持多个控件具有一致的外观. 可分享至不同e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwLKjp.html" rel="bookmark" class="title">js变量初探</a>
					<div>
						js是一种无类型弱检测的语言,它对变量的定义并不需要声明变量类型,我们只要通过赋值的形式就可以将各种类型的数据赋值给同一个变量:而且js中的变量是松散类型的,可以存储任何类型的数据:由于不存在定义某个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRgJdz.html" rel="bookmark" class="title">wav合并-为什么用java拼接多个wav文件后为什么只播放了第一个文件的声音</a>
					<div>
						问题描述 为什么用java拼接多个wav文件后为什么只播放了第一个文件的声音 由于公司需求需要合并多个录音 java合并两个wav文件问题,高手帮忙解答 各路大侠,江湖救急啊! 我想用java播放两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NlvBz.html" rel="bookmark" class="title">认识reflow</a>
					<div>
						浏览器为了重新渲染部分或整个页面,重新计算页面元素位置和几何结构(geometries)的进程叫做 reflow.由于 reflow 是一种浏览器中的用户拦截(user-blocking)操作,所以了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamPEgb.html" rel="bookmark" class="title">最简单的视音频播放示例1：总述</a>
					<div>
						前言 最近研究了一下Windows平台下的视音频播放的技术.在Windows平台下的视频播放技术主要有以下三种:GDI,Direct3D和OpenGL:音频播放技术主要是DirectSound.这些技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKKnjb.html" rel="bookmark" class="title">&lbrack;历年IT笔试题&rsqb;百度2014校园招聘长沙站笔试题</a>
					<div>
						欢迎转载.............					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB96WM.html" rel="bookmark" class="title">android电源添加重启项</a>
					<div>
						首先找到按电源弹出的选项的源文件,也就是freamwork/base/policy/src/com/android/internal/policy/impl/GlobalActions.java 再找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKNRYb.html" rel="bookmark" class="title">linux-makefile，下面命令的-D  &dollar;（date）表示什么意思呢？</a>
					<div>
						问题描述 makefile,下面命令的-D $(date)表示什么意思呢? %.o:%.c $(CC) -c $(CFLAGS) $(CPPFLAGS) -D $(date) 解决方案 http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgL3ab.html" rel="bookmark" class="title">ActivityManagerService启动过程分析</a>
					<div>
						之前讲Android的View的绘制原理和流程的时候,讲到过在Android调用setContentView之后,Android调用了一个prepreTravle的方法,这里面就提到了Activity ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD0Qaz.html" rel="bookmark" class="title">360高薪挖只为备战IM？</a>
					<div>
						[科技讯]9月5日消息,近日,有消息称大量飞信工程师跳槽至奇虎360,意指360在推出移动客户端IM产品&quot;口信&quot;之后将进一步布局IM市场.对此说法,奇虎360尚未回应. 飞信内部人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M603wyz.html" rel="bookmark" class="title">Win8&period;1系统创建电源计划的方法</a>
					<div>
						1.在桌面模式下右键单击左下角的[开始].    2. 选择[控制面板].    3.选择[硬件和声音].      4.选择[电源选项].    5.选择左侧的[创建电源计划].     6.选择需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBg2qM.html" rel="bookmark" class="title">NetHogs&mdash;&mdash;Linux下按进程实时统计网络带宽利用率</a>
					<div>
						网上有很多适用于Linux操作系统的开源网络监视工具.比如说,你可以用命令iftop来检查带宽使用情况. netstat用来查看接口统计报告,还有top监控系统当前运行进程.但是如果你想要找一个能够按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YyxPz.html" rel="bookmark" class="title">用php代码实现计算-用php代码算出这道数学题答案</a>
					<div>
						问题描述 用php代码算出这道数学题答案 用从1到9九个数组成三个三位数,这三个三位数相加等于999,每个数字不可重复使用,要用php代码算出这三个三位数是那几组$arr=array(12345678 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7XDez.html" rel="bookmark" class="title">android export的项目webview无法使用javascript</a>
					<div>
						问题描述 android export的项目webview无法使用javascript 问题如下:这段代码时的:view.loadUrl();方法,我直接用运行到手机上,是可以运行的(即有回调),但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr2Rop.html" rel="bookmark" class="title">乐视网资金链紧张依旧&comma;贾跃亭股权质押饮鸩止渴</a>
					<div>
						长期以来乐视网的资金链紧张一直是困扰企业发展的最大问题,而贾跃亭也一直以股权质押形式暂缓&quot;饥渴&quot;,根据乐视网2014年三季报显示,上市公司经营现金流和投资现金流合计为-8亿元左右. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj82KNp.html" rel="bookmark" class="title">简单的socket编程入门示例&lowbar;C 语言</a>
					<div>
						功能简单实现client输入内容发送到server端输出 复制代码 代码如下: #include &lt;stdio.h&gt;#include &lt;iostream&gt;#include &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl1wAp.html" rel="bookmark" class="title">jQuery数组处理方法汇总&lowbar;jquery</a>
					<div>
						$.each(array, [callback])遍历,很常用 复制代码 代码如下: var arr = ['javascript', 'php', 'java', 'c++', 'c#', 'per ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
